Bug 45277 - [bisected] Shading not working properly in Heroes of Newerth
Summary: [bisected] Shading not working properly in Heroes of Newerth
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-26 08:40 UTC by Damien Grassart
Modified: 2012-03-08 09:13 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Damien Grassart 2012-01-26 08:40:10 UTC
Hi, a recent commit seems to have broken the fog of war shading in Heroes of Newerth (with my Radeon HD 6850 at least). You can still see the players pop in and out of the fog, but the entire map is shaded darker where there is no longer any light/dark distinction between the parts of the map that are visible and the parts that aren't.

I've bisected the issue and found the first bad commit to be:
bc1c8369384b5e16547c5bf9728aa78f8dfd66cc st/mesa: do vertex and fragment color clamping in shaders

I've confirmed that building Mesa with the previous commit (c2e2b58a58880c9b9f189fc154205e99144e9502) does fix the problem.

If you need to test it, the game is a free download from www.heroesofnewerth.com
Comment 1 Rene Peinthor 2012-01-27 15:37:42 UTC
can confirm this problem with my 5770, thanks for bisecting
Comment 2 Damien Grassart 2012-02-07 05:11:44 UTC
I've also found that removing PIPE_CAP_VERTEX_COLOR_UNCLAMPED as a supported feature for r600 does fix this bug (src/gallium/drivers/r600/r600_pipe.c:369). Is the statement in the commit message that r600 can do unclamped vertex colors perhaps false?
Comment 3 Chris 2012-02-16 20:14:30 UTC
I can confirm this too.
I also noticed around the same time (I assume the same commit) that Mass Effect 2 has serious rendering issues with some textures through wine.
Comment 4 Bruno Jacquet (Xaapyks) 2012-02-20 08:06:54 UTC
I confirm that the bug happens on HD6870 too.
And as Damien Grassart says, I also confirm that removing PIPE_CAP_VERTEX_COLOR_UNCLAMPED from r600_pipe.c fixes the problem.
Comment 5 Bruno Jacquet (Xaapyks) 2012-02-29 03:06:13 UTC
Fixed for me on master.
Comment 6 Damien Grassart 2012-03-08 09:13:07 UTC
Thanks, it's also working for me as well now so changing status to resolved.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.